← Töflur
Hreinsa

Ireland

Ulster Senior Cup Group 1

#LiðPWDLPDPtsForm
1Ballynahinch RFC3300–15WWW
2City of Armagh RFC3201–9LWW
3Banbridge RFC3102–5WLL
4Dungannon RFC3003–0LLL

Heimild: Ulster Rugby · athugað 14. okt., 17:50 · Form: síðustu fimm úrslit sem við höfum, nýjustu til hægri.

Leikir og úrslit →

Hver tafla er sú sem deildin sjálf birtir, með bónusstigum, frádrætti og jafnræðisreglum. BP er sýnt þar sem deildin birtir það; annars er það þegar í Pts.